SeerMarTech 文档控制台

Amazon 商品搜索(异步)

按关键词搜索 Amazon 商品列表,含标题、价格、评分、ASIN 等。

Step 1:提交任务

POST/v3/merchant/amazon/products/task_post
参考价:¥0.0096 / 次(实际以请求返回为准)
参数类型必填说明
keywordstring搜索关键词
location_codeintegerAmazon 站点地区代码
language_codestring语言代码
depthinteger结果深度

curl

curl -X POST "https://api.seermartech.cn/v3/merchant/amazon/products/task_post" \ -H "Authorization: Bearer smt_live_YOUR_KEY" \ -H "Content-Type: application/json" \ -d '[{"keyword": "bluetooth speaker", "location_code": 2840, "language_code": "en", "depth": 50}]'

Python

import requests resp = requests.post( "https://api.seermartech.cn/v3/merchant/amazon/products/task_post", headers={"Authorization": "Bearer smt_live_YOUR_KEY"}, json=[{"keyword": "bluetooth speaker", "location_code": 2840, "language_code": "en", "depth": 50}], timeout=60, ) print("task_id:", resp.json()["tasks"][0]["id"])

TypeScript

const resp = await fetch( "https://api.seermartech.cn/v3/merchant/amazon/products/task_post", { method: "POST", headers: { Authorization: "Bearer smt_live_YOUR_KEY", "Content-Type": "application/json", }, body: JSON.stringify([{ keyword: "bluetooth speaker", location_code: 2840, language_code: "en", depth: 50, }]), } ); console.log((await resp.json()).tasks[0].id);

Step 2:获取结果

GET/v3/merchant/amazon/products/task_get/{task_id}

业务场景